### Signal

# Json Parser::array-end

deprecated: 1.10

#### Declaration

    void
    array_end (
      JsonParser* self,
      JsonArray* array,
      gpointer user_data
    )

#### Description [src]

The `::array-end` signal is emitted each time a parser has successfully parsed an entire JSON array.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 1.10
Derive your own parser type from `JsonParser` and override the `Json.ParserClass.array_end` virtual function.

#### Parameters

`array`

  Type: `JsonArray`

  The parsed JSON array.

  The data is owned by the caller of the function.